package com.fjhx.oa.entity.user.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 员工薪资管理
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@Getter
@Setter
@TableName("user_salary_manage")
public class UserSalaryManage extends BasePo {

    /**
     * 员工id
     */
    private Long userId;

    /**
     * 10实习员工、20试用员工、30正式员工
     */
    private String employeeType;

    /**
     * 试用期薪资比例
     */
    private BigDecimal probationRatio;

    /**
     * 实习期薪资比例
     */
    private BigDecimal internshipRatio;

    /**
     * 合计金额
     */
    private BigDecimal amount;

    /**
     * 版本号
     */
    private Integer dataVer;
    /**
     * 版本组id
     */
    private Long groupId;
    /**
     * 是否是当前版本
     */
    private Integer currentVersion;
    /**
     * 上一版本id
     */
    private Long parentId;

}
