package com.fjhx.oa.service.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryManageDto;
import com.fjhx.oa.entity.user.dto.UserSalaryManageSelectDto;
import com.fjhx.oa.entity.user.po.UserSalaryManage;
import com.fjhx.oa.entity.user.vo.UserSalaryManageVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 员工薪资管理 服务类
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
public interface UserSalaryManageService extends BaseService<UserSalaryManage> {

    /**
     * 员工薪资管理分页
     */
    Page<UserSalaryManageVo> getPage(UserSalaryManageSelectDto dto);

    /**
     * 员工薪资管理明细
     */
    UserSalaryManageVo detail(Long id);

    /**
     * 员工薪资管理新增
     */
    void addVersion(UserSalaryManageDto userSalaryManageDto);

    /**
     * 员工薪资管理编辑
     */
    void edit(UserSalaryManageDto userSalaryManageDto);

    /**
     * 员工薪资管理删除
     */
    void delete(Long id);

}
